package initial

import (
	"git.gocasts.ir/ebhomengo/niki/config"
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
)

type Auth struct {
	BenefactorAuthSvc authservice.Service
	AdminAuthSvc      authservice.Service
}

func InitBenefactorAuthService(cfg config.Config) authservice.Service {
	return authservice.New(cfg.Auth)
}

func InitAdminAuthService(cfg config.Config) authservice.Service {
	return authservice.New(cfg.AdminAuth)
}
